import request from '@/utils/request'

// 查询风机设备基本信息列表
export function listFanHis(query) {
  return request({
    url: '/business/fan/history/list',
    method: 'get',
    params: query
  })
}

// 查询风机运行报警列表
export function listalarmFan(query) {
  return request({
    url: '/business/fan/alarm/list',
    method: 'get',
    params: query
  })
}

// 修改风机运行报警列表
export function alarmFanEdit(query) {
  return request({
    url: '/business/fan/alarm/edit',
    method: 'post',
    data: query
  })
}

//风机运行实时数据
export function listrealFan(query) {
  return request({
    url: '/business/fan/real/list',
    method: 'get',
    params: query
  })
}

// 查询风机设备基本信息列表
export function listFanSwitchHis(query) {
  return request({
    url: '/business/log/list',
    method: 'get',
    params: query
  })
}
